Package org.apache.uima.resource

# Interface ResourceSpecifier

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

All Known Subinterfaces:
  `AnalysisEngineDescription`, `CasConsumerDescription`, `CasInitializerDescription`, `CollectionReaderDescription`, `ConfigurableDataResourceSpecifier`, `CustomResourceSpecifier`, `FileLanguageResourceSpecifier`, `FileResourceSpecifier`, `FlowControllerDescription`, `JMSMessagingSpecifier`, `MailMessagingSpecifier`, `MessagingSpecifier`, `MQMessagingSpecifier`, `PearSpecifier`, `ResourceCreationSpecifier`, `ResourceServiceSpecifier`, `ResourceSpecifierList`, `TaeDescription`, `URISpecifier`

All Known Implementing Classes:
  `AnalysisEngineDescription_impl`, `CasConsumerDescription_impl`, `CasInitializerDescription_impl`, `CollectionReaderDescription_impl`, `ConfigurableDataResourceSpecifier_impl`, `CustomResourceSpecifier_impl`, `FileLanguageResourceSpecifier_impl`, `FileResourceSpecifier_impl`, `FlowControllerDescription_impl`, `PearSpecifier_impl`, `ResourceCreationSpecifier_impl`, `TaeDescription_impl`, `URISpecifier_impl`

public interface ResourceSpecifier extends MetaDataObject
A `ResourceSpecifier` contains information that can be used acquire a reference to a `Resource`, whether that is done by instantiating the resource locally or locating an existing resource available as a service.

It is the job of the `ResourceFactory` to locate or create the `Resource` that is specified by a `ResourceSpecifier`.

This interface itself does nothing. It serves as a common parent for different types of Resource Specifiers.

- ## Method Summary

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`